// Demo.cs : 
//GDSIIExporter version 1.0
//Copyright  2001-2005 Easy Math Solution. All Rights Reserved
//http://www.e-MathSolution.com
//For details contact us: info@e-MathSolution.com

using System;
using EMS;

namespace Sharp
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			int []xar=new int[]{0,1100,0};
			int []yar=new int[]{0,0,1000};
			int []x=new int[]{110,210,327,200,600,700,880,1000};
			int []y=new int[]{0,100,250,150,300,440,900,800};
			int []xb=new int[]{110,210,327,550};
			int []yb=new int[]{0,200,250,170};

			GDSIIExporter gds = new GDSIIExporter();
			try
			{
				gds.BeginLib("ems.gds",1e-3, 1e-9);
				gds.BeginStructure("str2");
				gds.Aref("ur11",  xar, yar,5,4,0,1,0,0,0);
				gds.EndStructure();		
				
			
				gds.BeginStructure("ur11");
				gds.Box(0,0,200,200, 0,0, 0, 0);
				gds.EndStructure();	

				gds.BeginStructure("str1");
				gds.Box(105, 105,  205, 205,0,10, 0, 0);
				gds.BoxWH(250, 105,  200, 300,0,10, 0, 0);
				gds.Square(500, 105, 400,0,0,0,0);
					
				gds.Path( x, y, 10, 1,63, GDSIIExporter.PATHTYPE1, 0, 
					GDSIIExporter.PLEX_HEAD);
				
				gds.Boundary( xb, yb, 1, 61, 0, 0);  
				gds.Text( 100, 100, "Easy Math Solution", 1, 4,
					GDSIIExporter.PRESENT_HCENTER |GDSIIExporter.PRESENT_VBOTTOM, 
					GDSIIExporter.PATHTYPE1, 0, GDSIIExporter.STRANS_0,
					0.1, 0, 0, 0);
				gds.Text( 100, 300, "GDSIIExporter", 1, 4,
					GDSIIExporter.PRESENT_HCENTER |GDSIIExporter.PRESENT_VBOTTOM, 
					GDSIIExporter.PATHTYPE1, 0, GDSIIExporter.STRANS_0,
					0.1, 0, 0, 0);
				gds.Text( 100, 500, "Copyright EMS XXI", 1, 4,
					GDSIIExporter.PRESENT_HLEFT |GDSIIExporter.PRESENT_VBOTTOM, 
					GDSIIExporter.PATHTYPE1, 0, GDSIIExporter.STRANS_0,
					0.05, 45, 0, 0);
			
				gds.Circle(1500, 1000, 1000, 150, 0,0,0,0);
				gds.Circle(1000, 1500, 1000, 7, 0,0,0,0);
		
				gds.Arc(100, 150, 1000, 45, 178, 135,40, 0, 0, GDSIIExporter.PATHTYPE1,0,0);
				gds.Arc(400, 300, 600, 120, 270, 100,40, 0, 0, GDSIIExporter.PATHTYPE2,0,0);
				gds.Sector(1000, 1500, 1050, 30, 185,100, 0,0,0,0);
				gds.Sector(1000, 1000, 800, 120, 290,199, 0,0,0,0);
				gds.Square(500, 500, 400,0,0,0,0);
				gds.EndStructure();

				gds.EndLib();
			} 
			catch (GDSIIException e) 
			{
				Console.WriteLine("GDSIIException Handler: {0}", e.ToString());
			}

			
		}
	}
}
